@echo off

echo ----------------------------------

echo mihomo核心还原工具-管理员权限

echo ----------------------------------
echo.

bin\gsudo cache on

cls

echo 正在结束进程. . .

bin\gsudo schtasks.exe /End /tn "StartMihomoService"

bin\gsudo taskkill /f /im mihomo-windows-amd64.exe

TIMEOUT /NOBREAK /T 5

echo 正在还原文件. . .

cd /d %~dp0

copy /y .\bin\meta-backup\mihomo-windows-amd64.exe .\bin\mihomo-windows-amd64.exe

echo 正在重启进程. . .

bin\gsudo schtasks.exe /Run /tn "StartMihomoService"

echo 正在清理. . .

rd /s /q .\backup

cls

echo ----------------------------------

echo mihomo核心还原工具-管理员权限

echo ----------------------------------

echo 刷新完成!请按任意键退出. . .

pause > nul